<template>
    <div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h3>Formulir Inovasi Daerah (Non OPD)</h3>
                        <p>Silahkan membaca deskripsi atau keterangan terlebih dahulu dari masing-masing isian dalam formulir ini. Jika terdapat pertanyaan dan kesulitan, silahkan berkoordinasi ke Whatsapp Grup "Koordinasi IGA DPS 2020"</p>
                        <br>
                        <p style="color:red;"><a style="color:red;">*</a>Required</p>
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <!-- <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups"> -->
                            <!-- <div class="btn-group mr-2" role="group" aria-label="First group"> -->
                                Legend : &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-danger" style="pointer-events: none"></a>
                                Belum Terisi &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-warning" style="pointer-events: none"></a>
                                Belum Lengkap &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-success" style="pointer-events: none"></a>
                                Sudah Terisi &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-light" style="pointer-events: none"></a>
                                Saat Ini
                            <!-- </div> -->
                        <!-- </div> -->
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <p>Daftar Pertanyaan</p>
                        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
                            <div class="btn-group mr-2" role="group" aria-label="First group">
                                <button v-b-tooltip.hover title="Nama Inovasi" type="button" :class="inovasiStep==1 ? stepAktif : step1" @click.prevent="submitStep(1)">1</button>
                                <button v-b-tooltip.hover title="Tahapan Inovasi" type="button" :class="inovasiStep==2 ? stepAktif : step2" @click.prevent="submitStep(2)">2</button>
                                <button v-b-tooltip.hover title="Sistem Inovasi" type="button" :class="inovasiStep==3 ? stepAktif : step3" @click.prevent="submitStep(3)">3</button>
                                <button v-b-tooltip.hover title="Jenis Inovasi" type="button" :class="inovasiStep==4 ? stepAktif : step4" @click.prevent="submitStep(4)">4</button>
                                <button v-b-tooltip.hover title="Inovasi Berkaitan Covid-19" type="button" :class="inovasiStep==5 ? stepAktif : step5" @click.prevent="submitStep(5)">5</button>
                                <button v-b-tooltip.hover title="Bidang Fokus Inovasi" type="button" :class="inovasiStep==6 ? stepAktif : step6" @click.prevent="submitStep(6)">6</button>
                                <button v-b-tooltip.hover title="Urusan Inovasi" type="button" :class="inovasiStep==7 ? stepAktif : step7" @click.prevent="submitStep(7)">7</button>
                                <button v-b-tooltip.hover title="Waktu Ujicoba Inovasi" type="button" :class="inovasiStep==8 ? stepAktif : step8" @click.prevent="submitStep(8)">8</button>
                                <button v-b-tooltip.hover title="Waktu Implementasi Inovasi" type="button" :class="inovasiStep==9 ? stepAktif : step9" @click.prevent="submitStep(9)">9</button>
                                <button v-b-tooltip.hover title="Rancang Bangun Inovasi" type="button" :class="inovasiStep==10 ? stepAktif : step10" @click.prevent="submitStep(10)">10</button>
                                <button v-b-tooltip.hover title="Tujuan Inovasi" type="button" :class="inovasiStep==11 ? stepAktif : step11" @click.prevent="submitStep(11)">11</button>
                                <button v-b-tooltip.hover title="Manfaat Inovasi" type="button" :class="inovasiStep==12 ? stepAktif : step12" @click.prevent="submitStep(12)">12</button>
                                <button v-b-tooltip.hover title="Hasil Inovasi" type="button" :class="inovasiStep==13 ? stepAktif : step13" @click.prevent="submitStep(13)">13</button>
                                <button v-b-tooltip.hover title="Anggaran Inovasi" type="button" :class="inovasiStep==14 ? stepAktif : step14" @click.prevent="submitStep(14)">14</button>
                                <button v-b-tooltip.hover title="Proses Bisnis Inovasi" type="button" :class="inovasiStep==15 ? stepAktif : step15" @click.prevent="submitStep(15)">15</button>
                                <button v-b-tooltip.hover title="Logo Inovasi" type="button" :class="inovasiStep==16 ? stepAktif : step16" @click.prevent="submitStep(16)">16</button>
                                <button v-b-tooltip.hover title="Foto Inovasi" type="button" :class="inovasiStep==17 ? stepAktif : step17" @click.prevent="submitStep(17)">17</button>
                                <button v-b-tooltip.hover title="Video Inovasi" type="button" :class="inovasiStep==18 ? stepAktif : step18" @click.prevent="submitStep(18)">18</button>
                                <button v-b-tooltip.hover title="Pengalaman Inovasi" type="button" :class="inovasiStep==19 ? stepAktif : step19" @click.prevent="submitStep(19)">19</button>
                                <button v-b-tooltip.hover title="Penghargaan Inovasi" type="button" :class="inovasiStep==20 ? stepAktif : step20" @click.prevent="submitStep(20)">20</button>
                                <button v-b-tooltip.hover title="HKI Inovasi" type="button" :class="inovasiStep==21 ? stepAktif : step21" @click.prevent="submitStep(21)">21</button>
                            </div>
                        </div>
                        <hr>
                        <br>
                        <form class="forms-sample">
                            <div class="form-group" v-if="inovasiStep==1">
                                <label for="nama_singkat">1. Nama Inovasi Daerah <a style="color:red;"><a style="color:red;">*</a></a></label>
                                <p style="font-size:12px; text-align: justify;">Nama Singkat Inovasi</p>
                                <input  type="text" class="form-control" v-model="currentData.nama_singkat" disabled>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nama Lengkap Inovasi</p>
                                <input  type="text" class="form-control" v-model="currentData.nama_lengkap" disabled>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.nama_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.nama_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==2">
                                <label for="exampleFormControlSelect1">2. Tahapan Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(tahapan_inovasi,index) in tahapaninovasi" :key="index">
                                    <input v-if="tahapan_inovasi.id === currentData.tahapan_inovasi_id"  type="text" class="form-control"
                                    :value="
                                    (tahapan_inovasi.id === currentData.tahapan_inovasi_id)?tahapan_inovasi.name:''"
                                    disabled>
                                </div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.tahapan_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.tahapan_inovasi" placeholder="Your answer"></textarea>
                            </div>

                            <div class="form-group" v-if="inovasiStep==3">
                                <label for="exampleFormControlSelect1">3. Sistem Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(sistem_inovasi,index) in sisteminovasi" :key="index">
                                    <input v-if="sistem_inovasi.id === currentData.sistem_inovasi_id"  type="text" class="form-control"
                                    :value="
                                    (sistem_inovasi.id === currentData.sistem_inovasi_id)?sistem_inovasi.name:''"
                                    disabled>
                                </div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.sistem_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.sistem_inovasi" placeholder="Your answer"></textarea>
                            </div>

                            <div class="form-group" v-if="inovasiStep==4">
                                <label for="exampleFormControlSelect1">4. Jenis Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(jenis_inovasi,index) in jenisinovasi" :key="index">
                                    <input v-if="jenis_inovasi.id === currentData.jenis_inovasi_id"  type="text" class="form-control"
                                    :value="
                                    (jenis_inovasi.id === currentData.jenis_inovasi_id)?jenis_inovasi.name:''"
                                    disabled>
                                </div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.jenis_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.jenis_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==5">
                                <label for="exampleFormControlSelect1">5. Inovasi Daerah berkaitan Covid-19 <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(covid_inovasi,index) in covidinovasi" :key="index">
                                    <input v-if="covid_inovasi.id === currentData.covid_inovasi_id"  type="text" class="form-control"
                                    :value="
                                    (covid_inovasi.id === currentData.covid_inovasi_id)?covid_inovasi.name:''"
                                    disabled>
                                </div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.covid_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.covid_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==6">
                                <label for="exampleFormControlSelect1">6. Bidang Fokus Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(bidang_inovasi,index) in bidanginovasi" :key="index">
                                    <input v-if="bidang_inovasi.id === currentData.bidang_inovasi_id"  type="text" class="form-control"
                                    :value="
                                    (bidang_inovasi.id === currentData.bidang_inovasi_id)?bidang_inovasi.name:''"
                                    disabled>
                                </div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.bidang_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.bidang_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==7">
                                <label for="exampleFormControlSelect1">7. Urusan Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(urusan_inovasi,index) in urusaninovasis" :key="index">
                                    <input type="text" class="form-control" :value="index+1 + ' '+ urusan_inovasi.name" disabled>
                                </div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.urusan_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.urusan_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==8">
                                <label for="exampleFormControlSelect1">8. Waktu Uji Coba Inovasi Daerah</label>
                                <input  type="date" class="form-control" v-model="currentData.waktu_ujicoba" disabled>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.waktu_ujicoba" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.waktu_ujicoba" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==9">
                                <label for="exampleFormControlSelect1">9. Waktu Implementasi Inovasi Daerah</label>
                                <input  type="date" class="form-control" v-model="currentData.waktu_implementasi" disabled>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.waktu_implementasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.waktu_implementasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==10">
                                <label>10. Rancang Bangun dan Pokok Perubahan yang Dilakukan <a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea class="form-control" v-model="currentData.rancang_bangun" rows="7" disabled />
                                <br>
                              <!--   <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.rancang_bangun" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.rancang_bangun" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==11">
                                <label>11. Tujuan Inovasi Daerah<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea class="form-control" v-model="currentData.tujuan" rows="7" disabled/>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.tujuan_inovasi"  placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.tujuan_inovasi"  placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==12">
                                <label>12. Manfaat Inovasi Daerah <a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea class="form-control" v-model="currentData.manfaat" rows="7" disabled/>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.manfaat_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.manfaat_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==13">
                                <label>13. Hasil Inovasi Daerah<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea class="form-control" v-model="currentData.hasil" rows="7" disabled/>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.hasil_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.hasil_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==14">
                                <label for="exampleFormControlSelect1">14. Anggaran Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(anggaran_inovasi,index) in anggaraninovasi" :key="index">
                                    <input v-if="anggaran_inovasi.id === currentData.anggaran_inovasi_id"  type="text" class="form-control"
                                    :value="
                                    (anggaran_inovasi.id === currentData.anggaran_inovasi_id)?anggaran_inovasi.name:''"
                                    disabled>
                                </div>
                                <br>
                                <label>Penjelasan Jawaban<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea class="form-control" v-model="currentData.ket_anggaran" rows="5" disabled />
                                <br>
                                <label>Ketentuan File<a style="color:red;">*</a></label>
                                <p style="font-size:12px; text-align: justify;">Silahkan upload file, max 3 file (doc/docx/pdf)</p>
                                <div v-for="(file, index) in editFileAnggarans" :key="index">
                                    <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                    <br>
                                    <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                    <br>
                                    <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileAnggarans(file,index)">Remove</button> -->
                                    <hr/>
                                </div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.anggaran_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <br>
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.anggaran_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==15">
                                <label for="exampleFormControlSelect1">15. Proses Bisnis Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(proses_inovasi,index) in prosesinovasi" :key="index">
                                    <input v-if="proses_inovasi.id === currentData.proses_inovasi_id"  type="text" class="form-control"
                                    :value="
                                    (proses_inovasi.id === currentData.proses_inovasi_id)?proses_inovasi.name:''"
                                    disabled>
                                </div>
                                <br>
                                <label>Penjelasan Jawaban<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea class="form-control" v-model="currentData.ket_proses" rows="5" disabled/>
                                <br>
                                <label>Ketentuan File<a style="color:red;">*</a></label>
                                <p style="font-size:12px; text-align: justify;">Silahkan upload file, max 3 file (ppt/pptx)</p>
                                <div v-for="(file, index) in editFileProses" :key="index">
                                    <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                    <br>
                                    <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                    <br>
                                    <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileProses(file,index)">Remove</button> -->
                                    <hr/>
                                </div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.proses_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.proses_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==16">
                                <label>16. Logo Inovasi Daerah<a style="color:red;">*</a></label>
                                <p style="font-size:12px; text-align: justify;">Silahkan upload Logo (jpg/jpeg)</p>
                                <div v-for="(file, index) in editFileLogo" :key="index">
                                    <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                    <br>
                                    <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                    <br>
                                    <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFileLogo(file,index)">Remove</button> -->
                                    <hr/>
                                </div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.logo_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.logo_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==17">
                                <label>17. Kompilasi Foto Terbaik Inovasi Daerah<a style="color:red;">*</a></label>
                                <p style="font-size:12px; text-align: justify;">Silahkan upload Foto, max 3 foto (jpg/jpeg)</p>
                                <div v-for="(file, index) in editFilePhotos" :key="index">
                                    <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                    <br>
                                    <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                    <br>
                                    <!-- <button type="button" class="btn btn-danger" @click.prevent="removeFilePhotos(file,index)">Remove</button> -->
                                    <hr/>
                                </div>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5"  v-model="comments.foto_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5"  v-model="auditorComments.foto_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==18">
                                <label>18. Video Inovasi Daerah <a style="color:red;">*</a></label>
                                    <div class="form-check" v-for="video_inovasi in videoinovasi">
                                    <input v-if="video_inovasi.id === currentData.video_inovasi_id"  type="text" class="form-control"
                                    :value="
                                    (video_inovasi.id === currentData.video_inovasi_id)?video_inovasi.name:''"
                                    disabled>
                                </div>
                                <br>
                                <label>Penjelasan Jawaban<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea class="form-control" v-model="currentData.ket_video" rows="5" disabled/>
                                <div class="form-group" v-for="(linkvideo, index) in currentData.linkvideos" :key="index">
                                    <label>Link Youtube {{index+1}}<a style="color:red;">*</a></label>
                                    <input  type="text" class="form-control" v-model="linkvideo.link_video" disabled>
                                    <hr />
                                </div>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.video_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.video_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==19">
                                <label>19. Pengalaman Kompetisi Inovasi Daerah</label>
                                <div v-for="(pengalaman, index) in currentData.pengalamans" :key="index">
                                    <label>Pengalaman Kompetisi Inovasi Daerah ke - {{index+1}}</label>
                                    <p style="font-size:12px; text-align: justify;">Nama Kompetisi</p>
                                    <input  type="text" class="form-control" v-model="pengalaman.nama_pengalaman" disabled>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Penyelenggara</p>
                                    <input  type="text" class="form-control" v-model="pengalaman.penyelenggara" disabled>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Tahun</p>
                                    <input  type="text" class="form-control" v-model="pengalaman.tahun_pengalaman" disabled>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Predikat yang diraih</p>
                                    <input  type="text" class="form-control" v-model="pengalaman.predikat" disabled>
                                    <hr />
                                </div>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.pengalaman_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.pengalaman_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==20">
                                <label>20. Penghargaan Inovasi Daerah</label>
                                <div v-for="(penghargaan, index) in currentData.penghargaans" :key="index">
                                    <label>Penghargaan Inovasi Daerah ke - {{index+1}}</label>
                                    <p style="font-size:12px; text-align: justify;">Nama Penghargaan</p>
                                    <input  type="text" class="form-control" v-model="penghargaan.nama_penghargaan" disabled>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Pemberi Penghargaan</p>
                                    <input  type="text" class="form-control" v-model="penghargaan.pemberi_penghargaan" disabled>

                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Tahun</p>
                                    <input  type="text" class="form-control" v-model="penghargaan.tahun_penghargaan" disabled>
                                    <hr />
                                </div>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.penghargaan_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.penghargaan_inovasi" placeholder="Your answer"></textarea>
                            </div>
                            <div class="form-group" v-if="inovasiStep==21">
                                <label>21. Hak Kekayaan Intelektual (HKI)</label>
                                <p style="font-size:12px; text-align: justify;">Nomor</p>
                                <input  type="text" class="form-control" v-model="currentData.nomor" disabled>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Tanggal Permohonan</p>
                                <input  type="date" class="form-control" v-model="currentData.tanggal" disabled>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nama Pencipta</p>
                                <input  type="text" class="form-control" v-model="currentData.nama_pencipta" disabled>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nama Pemegang Hak Cipta</p>
                                <input  type="text" class="form-control" v-model="currentData.pemegang_hakcipta" disabled>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Jenis Ciptaan</p>
                                <input  type="text" class="form-control" v-model="currentData.jenis_ciptaan" disabled>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Judul Ciptaan</p>
                                <input  type="text" class="form-control" v-model="currentData.judul_ciptaan" disabled>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nomor Pencatatan</p>
                                <input  type="text" class="form-control" v-model="currentData.nomor_pencatatan" disabled>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.hki_inovasi" placeholder="Your answer" disabled></textarea> -->
                                <hr>
                                <label>Komentar Auditor:</label>
                                <textarea class="form-control" rows="5" v-model="auditorComments.hki_inovasi" placeholder="Your answer"></textarea>
                            </div>
                        </form>
                        <br>
                        <button class="btn btn-primary" type="submit" v-if="inovasiStep!=1?'disabled':''" @click.prevent="submitStep(inovasiStep-1)">Previous</button>
                        <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="inovasiStep!=21?'disabled':''" @click.prevent="submitStep(inovasiStep+1)">Submit & Next</button>
                        <!-- <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="inovasiStep==23" @click.prevent="submitFinish(23)">Finish</button> -->
                        <b-button class="float-right my-2 my-lg-0" id="show-btn" v-b-modal.modal-sm variant="primary" type="submit" v-if="inovasiStep==21" @click="showModal">Finish</b-button>
                        <b-modal ref="my-modal" size="sm" hide-footer title="Verifikasi Dokumen Inovasi">
                            <div class="d-block text-center">
                                <h4>Verifikasi Dokumen</h4>
                            </div>
                            <b-button class="mt-2 btn-info" @click.prevent="submitFinish('proses')" block >Proses</b-button>
                            <b-button class="mt-2 btn-success" @click.prevent="submitFinish('approve')" block >Approve</b-button>
                            <b-button class="mt-2 btn-warning" @click.prevent="submitFinish('revisi')" block >Revisi</b-button>
                            <b-button class="mt-3" variant="danger" block @click="hideModal">Close</b-button>
                        </b-modal>
                    </div>
                </div>
            </div>
        </div>
        <button class="btn btn-primary" type="submit"  @click.prevent="back('DataInovasi')">Kembali</button>
    </div>
</template>

<script>
    import Multiselect from 'vue-multiselect'
    import 'vue-multiselect/dist/vue-multiselect.min.css';

    export default {
        props: ['dataprops'],
        components: {
            Multiselect,
        },
        filters: {
        formatSize: function (value) {
            if (!value) return ''
                let valKB = 0.000001*value
                return `${valKB.toFixed(2)} MB`
            }
        },
        //Binding Data
        data() {
            return {
                component:'ViewInovasinonopd',
                token:document.head.querySelector('meta[name="csrf-token"]').content,

                currentData:{
                    id:'',
                    innovator_id:'',
                    nama_singkat:'',
                    nama_lengkap:'',
                    tahapan_inovasi_id:1,
                    inisiator_inovasi_id:1,
                    sistem_inovasi_id:1,
                    bentuk_inovasi_id:1,
                    jenis_inovasi_id:1,
                    covid_inovasi_id:1,
                    bidang_inovasi_id:1,
                    urusaninovasi:[],
                    waktu_ujicoba:'',
                    waktu_implementasi:'',

                    rancang_bangun:'',
                    tujuan:'',
                    manfaat:'',
                    hasil:'',
                    anggaran_inovasi_id:1,
                    ket_anggaran:'',
                    file_anggaran:[],
                    proses_inovasi_id:1,
                    ket_proses:'',
                    file_proses:[],
                    logo:[],
                    photos:[],
                    video_inovasi_id:1,
                    ket_video:'',

                    //hak kekayaan intelektual (HKI)
                    nomor:'',
                    tanggal:'',
                    nama_pencipta:'',
                    pemegang_hakcipta:'',
                    jenis_ciptaan:'',
                    judul_ciptaan:'',
                    nomor_pencatatan:'',

                    //dynamic form
                    linkvideos:[{
                        link_video:'',
                    }],
                    pengalamans:[{
                        nama_pengalaman:'',
                        penyelenggara:'',
                        tahun_pengalaman:'',
                        predikat:''
                    }],
                    penghargaans:[{
                        nama_penghargaan:'',
                        pemberi_penghargaan:'',
                        tahun_penghargaan:'',
                    }],
                    //check data when submitFinish
                    status:'',
                    checkinovasi:'',
                },
                //dynamic form
                linkvideos:[{
                    link_video:'',
                }],
                pengalamans:[{
                    nama_pengalaman:'',
                    penyelenggara:'',
                    tahun_pengalaman:'',
                    predikat:''
                }],
                penghargaans:[{
                    nama_penghargaan:'',
                    pemberi_penghargaan:'',
                    tahun_penghargaan:'',
                }],
                //innovator
                //initializing property funtion get data
                tahapaninovasi:[],
                inisiatorinovasi:[],
                sisteminovasi:[],
                bentukinovasi:[],
                jenisinovasi:[],
                covidinovasi:[],
                bidanginovasi:[],
                urusaninovasis:[],
                options: [
                ],
                anggaraninovasi:[],
                prosesinovasi:[],
                videoinovasi:[],

                //initializing property upload file
                // files: [],
                file_anggaran:[],
                file_proses:[],
                logo:[],
                photos:[],

                //comment
                comments:{
                    nama_inovasi:[],
                    tahapan_inovasi:[],

                    sistem_inovasi:[],

                    jenis_inovasi:[],
                    covid_inovasi:[],
                    bidang_inovasi:[],
                    urusan_inovasi:[],
                    waktu_ujicoba:[],
                    waktu_implementasi:[],
                    //
                    rancang_bangun:[],
                    tujuan_inovasi:[],
                    manfaat_inovasi:[],
                    hasil_inovasi:[],
                    anggaran_inovasi:[],
                    proses_inovasi:[],
                    logo_inovasi:[],
                    foto_inovasi:[],
                    video_inovasi:[],
                    pengalaman_inovasi:[],
                    penghargaan_inovasi:[],
                    hki_inovasi:[],
                },
                dataCommended:[],
                auditorComments:{
                    nama_inovasi:[],
                    tahapan_inovasi:[],

                    sistem_inovasi:[],

                    jenis_inovasi:[],
                    covid_inovasi:[],
                    bidang_inovasi:[],
                    urusan_inovasi:[],
                    waktu_ujicoba:[],
                    waktu_implementasi:[],
                    //
                    rancang_bangun:[],
                    tujuan_inovasi:[],
                    manfaat_inovasi:[],
                    hasil_inovasi:[],
                    anggaran_inovasi:[],
                    proses_inovasi:[],
                    logo_inovasi:[],
                    foto_inovasi:[],
                    video_inovasi:[],
                    pengalaman_inovasi:[],
                    penghargaan_inovasi:[],
                    hki_inovasi:[],
                },
                auditorCommended:[],
                dataComments:{
                    id:'',
                    auditor_id:'',
                    innovation_id:'',
                    data:[]
                },

                // image_folder:"iconFile"
                image_folder:"iconFile",

                //Step Inovasi
                inovasiStep:1,
                stepAktif:'btn btn-light',
                step1:'btn btn-danger',
                step2:'btn btn-danger',
                step3:'btn btn-danger',
                step4:'btn btn-danger',
                step5:'btn btn-danger',
                step6:'btn btn-danger',
                step7:'btn btn-danger',
                step8:'btn btn-danger',
                step9:'btn btn-danger',
                step10:'btn btn-danger',
                step11:'btn btn-danger',
                step12:'btn btn-danger',
                step13:'btn btn-danger',
                step14:'btn btn-danger',
                step15:'btn btn-danger',
                step16:'btn btn-danger',
                step17:'btn btn-danger',
                step18:'btn btn-danger',
                step19:'btn btn-danger',
                step20:'btn btn-danger',
                step21:'btn btn-danger',

                //edit file
                editFilePhotos:[],
                editFileAnggarans:[],
                editFileProses:[],
                editFileLogo:[],

                dataInovasis:{
                    status:''
                },
            }
        },

        created(){
            this.initial();
            this.getTahapanInovasi();
            this.getInisiatorInovasi();
            this.getSistemInovasi();
            this.getBentukInovasi();
            this.getJenisInovasi();
            this.getCovidInovasi();
            this.getBidangInovasi();
            this.getUrusanInovasi();
            this.getUrusanInovasi();
            this.getCommentid();
            this.getAnggaranInovasi();
            this.getProsesInovasi();
            this.getVideoInovasi();
            // this.submitStep(1);

        },

        methods: {
            showModal() {
                this.$refs['my-modal'].show()
            },
            hideModal() {
                this.$refs['my-modal'].hide()
            },
            addTag (newTag) {
            const tag = {
                id: newTag,
                name: newTag,
            }
            this.urusaninovasis.push(tag)
            this.options.push(tag)
            },
            initial(){
                //datacommnt
                this.dataComments.innovation_id = this.dataprops.data.id;
                this.dataCommended = JSON.parse(this.dataprops.data.varifikasidokumen.data)
                this.auditorCommended = this.dataprops.commended
                this.auditorComments.nama_inovasi=this.auditorCommended.nama_inovasi;
                this.auditorComments.tahapan_inovasi=this.auditorCommended.tahapan_inovasi;

                this.auditorComments.sistem_inovasi=this.auditorCommended.sistem_inovasi;

                this.auditorComments.jenis_inovasi=this.auditorCommended.jenis_inovasi;
                this.auditorComments.covid_inovasi=this.auditorCommended.covid_inovasi;
                this.auditorComments.bidang_inovasi=this.auditorCommended.bidang_inovasi;
                this.auditorComments.urusan_inovasi=this.auditorCommended.urusan_inovasi;
                this.auditorComments.waktu_ujicoba=this.auditorCommended.waktu_ujicoba;
                this.auditorComments.waktu_implementasi=this.auditorCommended.waktu_implementasi;
                this.auditorComments.rancang_bangun=this.auditorCommended.rancang_bangun;
                this.auditorComments.tujuan_inovasi=this.auditorCommended.tujuan_inovasi;
                this.auditorComments.manfaat_inovasi=this.auditorCommended.manfaat_inovasi;
                this.auditorComments.hasil_inovasi=this.auditorCommended.hasil_inovasi;
                this.auditorComments.anggaran_inovasi=this.auditorCommended.anggaran_inovasi;
                this.auditorComments.proses_inovasi=this.auditorCommended.proses_inovasi;
                this.auditorComments.logo_inovasi=this.auditorCommended.logo_inovasi;
                this.auditorComments.foto_inovasi=this.auditorCommended.foto_inovasi;
                this.auditorComments.video_inovasi=this.auditorCommended.video_inovasi;
                this.auditorComments.pengalaman_inovasi=this.auditorCommended.pengalaman_inovasi;
                this.auditorComments.penghargaan_inovasi=this.auditorCommended.penghargaan_inovasi;
                this.auditorComments.hki_inovasi=this.auditorCommended.hki_inovasi;
                //
                this.comments.nama_inovasi=this.dataCommended.nama_inovasi;
                this.comments.tahapan_inovasi=this.dataCommended.tahapan_inovasi;

                this.comments.sistem_inovasi=this.dataCommended.sistem_inovasi;

                this.comments.jenis_inovasi=this.dataCommended.jenis_inovasi;
                this.comments.covid_inovasi=this.dataCommended.covid_inovasi;
                this.comments.bidang_inovasi=this.dataCommended.bidang_inovasi;
                this.comments.urusan_inovasi=this.dataCommended.urusan_inovasi;
                this.comments.waktu_ujicoba=this.dataCommended.waktu_ujicoba;
                this.comments.waktu_implementasi=this.dataCommended.waktu_implementasi;
                this.comments.rancang_bangun=this.dataCommended.rancang_bangun;
                this.comments.tujuan_inovasi=this.dataCommended.tujuan_inovasi;
                this.comments.manfaat_inovasi=this.dataCommended.manfaat_inovasi;
                this.comments.hasil_inovasi=this.dataCommended.hasil_inovasi;
                this.comments.anggaran_inovasi=this.dataCommended.anggaran_inovasi;
                this.comments.proses_inovasi=this.dataCommended.proses_inovasi;
                this.comments.logo_inovasi=this.dataCommended.logo_inovasi;
                this.comments.foto_inovasi=this.dataCommended.foto_inovasi;
                this.comments.video_inovasi=this.dataCommended.video_inovasi;
                this.comments.pengalaman_inovasi=this.dataCommended.pengalaman_inovasi;
                this.comments.penghargaan_inovasi=this.dataCommended.penghargaan_inovasi;
                this.comments.hki_inovasi=this.dataCommended.hki_inovasi;
                //inovation
                this.editFilePhotos = JSON.parse(this.dataprops.data.photos) || [];
                this.editFileAnggarans = JSON.parse(this.dataprops.data.file_anggaran) || [];
                this.editFileProses = JSON.parse(this.dataprops.data.file_proses) || [];
                (this.dataprops.data.logo)?this.editFileLogo.push(this.dataprops.data.logo):[];
                this.urusaninovasis = this.dataprops.data.urusaninovasi || [];
                // this.currentData.ket_proses = (this.dataprops.data.ket_proses)?this.dataprops.data.ket_proses:'';
                this.currentData.ket_proses = this.dataprops.data.ket_proses||''
                this.currentData.id = this.dataprops.data.id
                this.currentData.innovator_id = this.dataprops.data.innovator_id
                this.currentData.nama_singkat = this.dataprops.data.nama_singkat || ''
                this.currentData.nama_lengkap = this.dataprops.data.nama_lengkap || ''
                this.currentData.tahapan_inovasi_id = this.dataprops.data.tahapan_inovasi_id
                this.currentData.inisiator_inovasi_id = this.dataprops.data.inisiator_inovasi_id
                this.currentData.sistem_inovasi_id = this.dataprops.data.sistem_inovasi_id
                this.currentData.bentuk_inovasi_id = this.dataprops.data.bentuk_inovasi_id
                this.currentData.jenis_inovasi_id = this.dataprops.data.jenis_inovasi_id
                this.currentData.covid_inovasi_id = this.dataprops.data.covid_inovasi_id
                this.currentData.bidang_inovasi_id = this.dataprops.data.bidang_inovasi_id
                this.currentData.waktu_ujicoba = this.dataprops.data.waktu_ujicoba || ''
                this.currentData.waktu_implementasi = this.dataprops.data.waktu_implementasi || ''
                this.currentData.rancang_bangun= this.dataprops.data.rancang_bangun || ''
                this.currentData.tujuan= this.dataprops.data.tujuan || ''
                this.currentData.manfaat= this.dataprops.data.manfaat || ''
                this.currentData.hasil= this.dataprops.data.hasil || ''
                this.currentData.anggaran_inovasi_id= this.dataprops.data.anggaran_inovasi_id
                this.currentData.ket_anggaran= this.dataprops.data.ket_anggaran || ''
                this.currentData.proses_inovasi_id= this.dataprops.data.proses_inovasi_id
                this.currentData.video_inovasi_id= this.dataprops.data.video_inovasi_id
                this.currentData.ket_video= this.dataprops.data.ket_video || ''

                //dynamic form
                this.linkvideos=JSON.parse(this.dataprops.data.linkvideos)
                this.pengalamans=this.dataprops.data.pengalamans
                this.penghargaans=this.dataprops.data.penghargaans
                this.currentData.checkinovasi=this.dataprops.data.checkinovasi
                this.currentData.status=this.dataprops.data.status

                //hak kekayaan intelektual (HKI)
                if (this.dataprops.data.hkis!=null) {
                    this.currentData.nomor=this.dataprops.data.hkis.nomor || ''
                    this.currentData.tanggal=this.dataprops.data.hkis.tanggal || ''
                    this.currentData.nama_pencipta=this.dataprops.data.hkis.nama_pencipta || ''
                    this.currentData.pemegang_hakcipta=this.dataprops.data.hkis.pemegang_hakcipta || ''
                    this.currentData.jenis_ciptaan=this.dataprops.data.hkis.jenis_ciptaan || ''
                    this.currentData.judul_ciptaan=this.dataprops.data.hkis.judul_ciptaan || ''
                    this.currentData.nomor_pencatatan=this.dataprops.data.hkis.nomor_pencatatan || ''
                }
            },
            getCommentid(){
                let id = this.dataprops.data.id
                let url = `getcommentid/${id}`
                axios.get(url).then(response => {
                   this.dataComments.id = response.data.id
                })
            },
            getAnggaranInovasi(){
                let url = 'get/anggaraninovasi'
                axios.get(url).then(response => {
                   this.anggaraninovasi = response.data
                })
            },
            getProsesInovasi(){
                let url = 'get/prosesinovasi'
                axios.get(url).then(response => {
                   this.prosesinovasi = response.data
                })
            },
            getVideoInovasi(){
                let url = 'get/videoinovasi'
                axios.get(url).then(response => {
                   this.videoinovasi = response.data
                })
            },

            //function to get all data from laravel route (Frontend/Home)
            getTahapanInovasi() {
                let url = 'get/tahapaninovasi'
                axios.get(url).then(response => {
                   this.tahapaninovasi = response.data
                })
            },
            getInisiatorInovasi(){
                let url = 'get/inisiatorinovasi'
                axios.get(url).then(response => {
                   this.inisiatorinovasi = response.data
                })
            },
            getSistemInovasi(){
                let url = 'get/sisteminovasi'
                axios.get(url).then(response => {
                   this.sisteminovasi = response.data
                })
            },
            getBentukInovasi(){
                let url = 'get/bentukinovasi'
                axios.get(url).then(response => {
                   this.bentukinovasi = response.data
                })
            },
            getJenisInovasi(){
                let url = 'get/jenisinovasi'
                axios.get(url).then(response => {
                   this.jenisinovasi = response.data
                })
            },
            getCovidInovasi(){
                let url = 'get/covidinovasi'
                axios.get(url).then(response => {
                   this.covidinovasi = response.data
                })
            },
            getBidangInovasi(){
                let url = 'get/bidanginovasi'
                axios.get(url).then(response => {
                   this.bidanginovasi = response.data
                })
            },
            getUrusanInovasi(){
                let url = 'get/urusaninovasi'
                axios.get(url).then(response => {
                //    this.urusaninovasi = response.data
                   this.options = response.data
                //    this.options.urusanid = response.data
                })
            },
            submitStep(step){
                this.inovasiStep = step
                this.submit()
            },
            //function when user click the button submit
            submit(){
                this.dataComments.data = []
                this.dataComments.data = JSON.stringify(this.auditorComments)
                this.insertComment()
                // console.log(this.currentData)
            },
            //function when user click the button submitFinish
            submitFinish(status){
                this.dataInovasis.status = status
                this.submit()
                this.updateData()
                Toast.success('Auditor Comment has been updated!');
                this.toNextComponent('DataInovasi')
            },

            formData(obj){
                var formData = new FormData();
                for (var key in obj) {
                    formData.append(key, obj[key]);
                }
                return formData;
            },
            async updateData(){
                let data = this.formData(this.dataInovasis)
                let id = this.dataprops.data.id
                let url = `update/innovation/${id}`
                await axios.post(url,data).then(response => {
                //    this.currentData.id = response.data
                })
            },
            //function send data comment
            async insertComment(){
                let data = this.formData(this.dataComments)
                // console.log(this.dataComments)
                let id = this.dataComments.id
                let url = `update/comments/${id}`
                await axios.post(url,data).then(response => {
                   this.dataComments.id = response.data
                })
            },
            back(visit){
                this.submit()
                let data = {
                    visit
                }
                this.$emit('datacomponent', data)
            },
            //function send to next component
            toNextComponent(visit){
                //kita combinasikan data form 1 dan form 2
                // let datamerged = Object.assign( {}, this.dataprops, this.currentData);

                let data = {
                    back:this.component,
                    data:this.currentData,
                    visit
                }
                this.$emit('datacomponent', data)
            },

            //function for inputfilter file from Plugin
            inputFilter(newFile, oldFile, prevent) {
              if (newFile && !oldFile) {
                if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
                  return prevent()
                }
                if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
                  return prevent()
                }
              }
            },

            //function download file
            getFileDownload(linkFile){
                // let link
                return `/uploadfile/${linkFile}`
            },
            //get file
            getFile(link){
              return `/${this.image_folder}/file.png`
            },
            getFileEdit(link){
                let extension = link.substr(link.lastIndexOf('.') + 1)
                if (extension==='jpg' || extension==='jpeg' || extension==='png' || extension==='webp') {
                    return `/${link}`
                }else{
                    return `/${this.image_folder}/file.png`
                }
            },
        },
    }
</script>

<style>

</style>
